import express, {type Router} from "express";
import AdminGuard from "@validators/AdminGuard";
import UserGuard from "@validators/UserGuard";


const router: Router = express.Router();

//-- MODELS >>

router.route('/model/new').get(AdminGuard)

router.route('/model/all').get()

router.route('/model/:modelSlug')
	.get(UserGuard)
	.patch(AdminGuard)
	.delete(AdminGuard)


//-- CATEGORY >>

router.route('/category/new').get(AdminGuard)

router.route('/category/all').get()

router.route('/category/:categorySlug')
	.get(UserGuard)
	.patch(AdminGuard)
	.delete(AdminGuard)


//-- BRAND >>

router.route('/brand/new').post(AdminGuard)
router.route('/brand/all').get()
router.route('/brand/:brandSlug')
	.get(UserGuard)
	.patch(AdminGuard)
	.delete(AdminGuard)