import express, {type Router} from "express";
import AdminGuard from "@validators/AdminGuard";
import UserGuard from "@validators/UserGuard";


const router: Router = express.Router();

// Get rent affected to the user
router.route('/affected')
	.get(UserGuard)

// Get all vehicle in rent (admin only)
router.route('/affected/all')
	.get(AdminGuard)

// Add a new vehicle (admin only)
router.route('/veh/new')
	.post(AdminGuard)

// Get all vehicles
router.route('/veh/all')
	.get()

// Rent a specific vehicle
router.route('/veh/rent/:vehicleId')
	.post(UserGuard)


router.route('/veh/:vehicleId')
	.get(UserGuard)
	.patch(AdminGuard)
	.delete(AdminGuard)